mscorlib 2.0.0.0 4.0.0.0 System.Object System.Security.Cryptography.ICryptoTransform System.Runtime.InteropServices.ComVisible(true)

Using this class is not recommended. A better practice is to use with a object. The object handles the padding issues that can occur when using directly. For an example, see the class.

Both the and methods return an instance of the class that is initialized with the key information of the current object. To encrypt or decrypt data using the Rijndael algorithm, pass the object returned by these methods to a object.

Performs a cryptographic transformation of data using the Rijndael algorithm. This class cannot be inherited.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the block size.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the current transform can be reused.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether multiple blocks can be transformed.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a simple call to class.

  Calling Dispose allows the resources used by the to be reallocated for other purposes. For more information about Dispose, see Cleaning Up Unmanaged Resources.

  Releases all resources used by the class.

- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the input block size.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the output block size.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The method is called automatically when you call . The method is not called when, for example, the encrypted input data is garbage and cannot be decrypted. In this case, an exception is thrown and is not called. You can choose to manually call the method in this case.

  Resets the internal state of so it can be used again to do a different encryption or decryption.

- Method
  System.Void To be added.

  Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

  2.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added.

  Computes the transformation for the specified region of the input byte array and copies the resulting transformation to the specified region of the output byte array.

  The number of bytes written.

  The input to perform the operation on. The offset into the input byte array to begin using data from. The number of bytes in the input byte array to use as data. The output to write the data to. The offset into the output byte array to begin writing data from.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] `` `` `` To be added.

  Computes the transformation for the specified region of the specified byte array.

  The computed transformation.

  The input to perform the operation on. The offset into the byte array to begin using data from. The number of bytes in the byte array to use as data.